Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.util
Class PicGroupFormatter

    java.lang.Object
      jpicedt.format.output.util.PicGroupFormatter

All Implemented Interfaces:
  Formatter

public class PicGroupFormatter
extends Object
implements Formatter

A formatter for PicGroup objects. This implementation simply `format()` on each children in turn.

Since:
  jpicedt 1.0
Version:
  $Id: PicGroupFormatter.java,v 1.3.2.1 2007/09/02 11:55:14 reynal Exp $

Author:
  Sylvain Reynal

Constructor Summary
`PicGroupFormatter(PicGroup group, FormatterFactory factory)`

Method Summary
`String` | `format()` Create a String representing an Element in the format of this formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicGroupFormatter

    public PicGroupFormatter(PicGroup group,
                             FormatterFactory factory)

Method Detail

### format

    public String format()

  Description copied from interface: `Formatter`
  Create a String representing an Element in the format of this formatter

  Specified by:
    `format` in interface `Formatter`
  Returns:
    a String representing this Element in the PsTricks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org